LibItsDenm_Encdec.cc File Reference
`#include <memory>`
`#include "LibItsDenm_EncdecDeclarations.hh"`
`#include "DENMCodec.hh"`
`#include "UpperTesterDenmCodec.hh"`
`#include "loggers.hh"`

## Namespaces

| LibItsDenm__EncdecDeclarations

## Functions

BITSTRING | LibItsDenm__EncdecDeclarations::fx__enc__DenmReq (const LibItsDenm__TestSystem::DenmReq &p_denmReq)
INTEGER | LibItsDenm__EncdecDeclarations::fx__dec__DenmReq (BITSTRING &b, LibItsDenm__TestSystem::DenmReq &p)
INTEGER | LibItsDenm__EncdecDeclarations::fx__dec__DenmInd (BITSTRING &b, LibItsDenm__TestSystem::DenmInd &p_denmInd)
BITSTRING | LibItsDenm__EncdecDeclarations::fx__enc__DENM (const DENM__PDU__Descriptions::DENM &p_denm)
INTEGER | LibItsDenm__EncdecDeclarations::fx__dec__DENM (BITSTRING &b, DENM__PDU__Descriptions::DENM &p)
BITSTRING | LibItsDenm__EncdecDeclarations::fx__enc__UtDenmInitialize (const LibItsDenm__TypesAndValues::UtDenmInitialize &p_utDenmInitialize)
BITSTRING | LibItsDenm__EncdecDeclarations::fx__enc__UtDenmChangePosition (const LibItsDenm__TypesAndValues::UtDenmChangePosition &p_utDenmChangePosition)
BITSTRING | LibItsDenm__EncdecDeclarations::fx__enc__UtDenmChangePseudonym (const LibItsDenm__TypesAndValues::UtDenmChangePseudonym &p_utDenmChangePseudonym)
BITSTRING | LibItsDenm__EncdecDeclarations::fx__enc__UtDenmTrigger (const LibItsDenm__TypesAndValues::UtDenmTrigger &p_utDenmTrigger)
BITSTRING | LibItsDenm__EncdecDeclarations::fx__enc__UtDenmUpdate (const LibItsDenm__TypesAndValues::UtDenmUpdate &p_utDenmUpdate)
BITSTRING | LibItsDenm__EncdecDeclarations::fx__enc__UtDenmTermination (const LibItsDenm__TypesAndValues::UtDenmTermination &p_utDenmTermination)
INTEGER | LibItsDenm__EncdecDeclarations::fx__dec__UtDenmResults (BITSTRING &b, LibItsDenm__TypesAndValues::UtDenmResults &p)
INTEGER | LibItsDenm__EncdecDeclarations::fx__dec__UtDenmEventInd (BITSTRING &b, LibItsDenm__TypesAndValues::UtDenmEventInd &p)